<?php
/** @noinspection PhpUndefinedMethodInspection */

namespace MirfalahTech\Laravel\Payment\Traits;


use Illuminate\Http\Request;

trait BillStatusBoolean
{
    public function isBillSuccess(Request $request): bool
    {
        return $this->getBillStatus($request) > 0;
    }

    public function isBillFailed(Request $request): bool
    {
        return $this->getBillStatus($request) < 0;
    }

    public function isBillPending(Request $request): bool
    {
        return $this->getBillStatus($request) == 0;
    }
}